Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 149967 - Message suggests to connect when connection is established automatically
Message suggests to connect when connection is established automatically
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: MySQL
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
65fixes1-verified
:
Depends on:
Blocks: 152766
  Show dependency treegraph
 
Reported: 2008-10-13 16:22 UTC by Roman Mostyka
Modified: 2009-02-19 20:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-13 16:22:32 UTC
1. Add MySQL server with all (Basic and Admin) properties.
2. Rightclick server's node and choose "Start". MySQL server is started and IDE is connected to it.
3. Rightclick server's node and choose "Disconnect".
4. Rightclick server's node and choose "Start". Message that MySQL server is started appears and it suggests to connect
to the server.
5. Rightclick server's node. 

Result: "Connect" context menu item is disabled since connection was established automatically. But message before said
"try to connect". It can mislead customer. I think message should contain information about automatic attempt to connect.
Comment 1 David Vancouvering 2008-10-29 00:53:24 UTC
Yes, this was an inconsistency I recently introduced, we should fix this, it's confusing.
Comment 2 Roman Mostyka 2008-11-19 14:20:33 UTC
David, can You take a look at this issue? This issue is P3, but it is very annoying and therefore this issue is going to
be included into NetBeans 6.5 Patch 1.
Please fix it till 27 November (this is code freeze date for Patch 1) or update this issue with justification why the
fix isn't possible till this date.
Thanks.
Comment 3 David Vancouvering 2008-11-19 22:14:48 UTC
yes, I can do this by Nov 27.
Comment 4 Roman Mostyka 2008-11-20 13:13:59 UTC
David, actually now milestone is 25-26 November. :)
Are you still able to finish in time?
If not, please remove status whiteboard.
Comment 5 David Vancouvering 2008-11-20 22:26:56 UTC
Hm, this happens when I (a) validate a connection and then (b) get the connection and use it.  I'll check it out, we
should get this fixed.
Comment 6 David Vancouvering 2008-11-25 23:58:51 UTC
I don't know what that last comment was about.  Anyway, now I'm getting a worse situation, where it says: "Unable to
start the MySQL server because it appears to be already running at host localhost, port localhost.  Please try
connecting to the server. It is also possible another process is listening on that port."

Well, hm, *I* was the one who just started it, why are you trying to start it again?  I'll track this down.
Comment 7 David Vancouvering 2008-11-26 00:04:47 UTC
9f7ad70d6c98

No more message, thanks very much.
Comment 8 pgebauer 2008-11-26 09:33:35 UTC
Based on the comment above, I'm marking the issue as FIXED. Roman, could you verified it ASAP? Thanks.

Comment 9 David Vancouvering 2008-11-26 16:44:50 UTC
Thanks, I missed marking it as fixed.
Comment 10 Roman Mostyka 2008-11-26 18:47:31 UTC
Verified with build 081126.
Comment 11 Quality Engineering 2008-11-27 05:34:45 UTC
Integrated into 'main-golden', will be available in build *200811270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9f7ad70d6c98
User: David Van Couvering <davidvc@netbeans.org>
Log: #149967: Message suggests to connect when connection is established automatically
Comment 12 pgebauer 2008-11-27 07:16:58 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/d19d69158fd9



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo